*
* MINIGUI - Harbour Win32 GUI library Demo
*
* Copyright 2002-2009 Roberto Lopez <harbourminigui@gmail.com>
* http://harbourminigui.googlepages.com/
*
* ------------------ Programa:  dBu_ML.PRG -----------------------------*
* ------------------ Autor   :  Mustafa Lpez --------------------------*
* ------------------ Generado con WinPrg 3.04   02/01/2010 21:42:43 ---*

#include 'minigui.ch'
#include 'dbstruct.ch'

*--------------------------- TOOLTIP ----------------------------*
*--------- Rutina cedida  Por Marcos Antonio Gambeta ------------*
#define WM_USER             0x400
#define TTM_SETTITLE       (WM_USER + 32)
#define TTI_NONE                0
#define TTI_INFO                1
#define TTI_WARNING             2
#define TTI_ERROR               3
*----------------------------------------------------------------*
*---------------------- Color Calendario ------------------------*
*--------- Rutina cedida  Por Marcos Antonio Gambeta ------------*
#define MCM_FIRST         0x1000
#define MCM_SETCOLOR      (MCM_FIRST + 10)

#define MCSC_BACKGROUND     0   // cor de fundo (entre meses)
#define MCSC_TEXT           1   // cor do texto (datas)
#define MCSC_TITLEBK        2   // cor de fundo do ttulo
#define MCSC_TITLETEXT      3   // cor de frente do ttulo
#define MCSC_MONTHBK        4   // cor de fundo do ms
#define MCSC_TRAILINGTEXT   5   // cor dos dias que antecem e procedem o ms

// constantes de colores   

#define COLOR_YELLOW        RGB(255,255,0)
#define COLOR_PINK          RGB(255,128,192)
#define COLOR_RED           RGB(255,0,0)
#define COLOR_FUCHSIA       RGB(255,0,255)
#define COLOR_BROWN         RGB(128,64,64)
#define COLOR_ORANGE        RGB(255,128,64)
#define COLOR_GREEN         RGB(0,255,0)
#define COLOR_PURPLE        RGB(128,0,128)
#define COLOR_BLACK         RGB(0,0,0)
#define COLOR_WHITE         RGB(255,255,255)
#define COLOR_GRAY          RGB(128,128,128)
#define COLOR_BLUE          RGB(0,0,255)
*----------------------------------------------------------------*

Function Main()

SET PROCEDURE TO WELCOME 
SET PROCEDURE TO CREATE
SET PROCEDURE TO ERATER 
SET PROCEDURE TO BrowSin6
SET PROCEDURE TO VERBASE
SET PROCEDURE TO BASEEST  
SET PROCEDURE TO CALENDAR
SET PROCEDURE TO MIRAX   
SET PROCEDURE TO ABOUT    

      REQUEST DBFCDX , DBFFPT
      RDDSETDEFAULT( "DBFCDX" )

      REQUEST DBFNTX , DBFDBT
      RDDSETDEFAULT( "DBFNTX" )

      REQUEST HB_Lang_ES
      REQUEST HB_CODEPAGE_ESWIN
      HB_LangSelect('ES')
      HB_SetCodePage('ESWIN')

SET DATE FRENCH
SET CENTURY ON
SET DELETED ON
SET ESCAPE ON
SET LANGUAGE TO SPANISH
SET NAVIGATION EXTENDED
SET TOOLTIPSTYLE BALLOON
SET TOOLTIPBACKCOLOR  {255,255,184 }
SET TOOLTIPFORECOLOR  {0,0,0 }
SET BROWSESYNC ON

*------------- Fichero Sample ---------------------*

    IF .NOT. FILE("New\TEST.DBF")
      aArq:={}
      Aadd( aArq , { 'CODE'   , 'N' , 10 , 0 } )
      Aadd( aArq , { 'FIRST'  , 'C' , 30 , 0 } )
      Aadd( aArq , { 'LAST'   , 'C' , 30 , 0 } )
      Aadd( aArq , { 'BIRTH'  , 'D' , 8  , 0 } )
      Aadd( aArq , { 'MARRIED', 'L' , 1  , 0 } )
      Aadd( aArq , { 'BIO'    , 'M' , 10 , 0 } )

      fich := "New\TEST" 

      DBCreate( "New\TEST" , aArq  )   
      Use &fich                        
      FOR N=1 TO 10
         APPEND BLANK
         REPLACE CODE    WITH 100
         REPLACE FIRST   WITH "Nombre1" 
         REPLACE LAST    WITH "Nombre2"
         REPLACE BIRTH   WITH DATE()  
         REPLACE MARRIED WITH .F.
         REPLACE BIO     WITH "Notas...."
      NEXT
     
   ENDIF
*--------------------------------------------------*

               DEFINE WINDOW Win_1A ;
                      AT 0,0        ;
                      WIDTH 800     ;
                      HEIGHT 600    ;
                      TITLE 'dBU_ML v3.02'      ;
                      icon "Logo"   ;     
                      MAIN NOSIZE NOMAXIMIZE    ;                      
                      ON INIT WELCOME()                         
                      ON KEY ESCAPE ACTION ( Eras_Estru() , Win_1A.Release )

                 DEFINE STATUSBAR FONT 'Arial'
                      KEYBOARD
                      STATUSITEM 'dBU_ML v3.02'+ SPACE(1) + '- mustalopez@gmail.com -' + SPACE(1) + 'Mustafa Lpez' width 345
                      CLOCK
                      DATE
                 END STATUSBAR
                       DEFINE MAIN MENU
                            POPUP 'C&rear'
                                    MENUITEM 'Crear B&ase'  ACTION CREATE() 
                                    MENUITEM 'Borrar B&ase' ACTION ERATER()  
                                    SEPARATOR
                                    MENUITEM 'E&xit' ACTION ( Eras_Estru() , ThisWindow.Release() )
                            END POPUP

                            POPUP 'B&ases'
                                    MENUITEM 'Ver B&ase'    ACTION VERBASE() 
                                    MENUITEM 'B&uscar DBF'  ACTION MIRAX() 
                            END POPUP

                            POPUP 'V&arios'
                                    MENUITEM 'C&alendario'  ACTION CALENDAR()
                                    SEPARATOR
                                    MENUITEM 'A&bout'       ACTION ABOUT()
                           END POPUP
                       END MENU


               DEFINE TOOLBAR ToolBar_1 FLAT BUTTONSIZE 110,40 RIGHTTEXT BORDER

                 BUTTON Button_0U           ;
                     CAPTION 'Crear B&ase'  ;
                     PICTURE 'BMP\Imagen00.bmp' ;
                     TOOLTIP 'Crear Base Datos' ;
                     ACTION CREATE()  
                             
                 BUTTON Button_1U           ;
                     CAPTION 'Borrar B&ase' ;
                     PICTURE 'BMP\Imagen01.bmp' ;
                     TOOLTIP 'Borrar Base Datos' ;
                     ACTION ERATER()             ; 
                     SEPARATOR 
 
                  BUTTON Button_2U          ;
                     CAPTION 'Ver B&ase'    ;
                     PICTURE 'BMP\Imagen02.bmp' ;
                     TOOLTIP 'Ver Base Datos'   ;
                     ACTION VERBASE()   

                  BUTTON Button_3U          ;
                     CAPTION 'B&uscar DBF'  ;
                     PICTURE 'BMP\Imagen03.bmp' ;
                     TOOLTIP 'Buscar Base Datos';
                     ACTION MIRAX()         ;      
                     SEPARATOR 

                  BUTTON Button_4U          ;
                     CAPTION 'C&alendario'  ;
                     PICTURE 'BMP\Imagen04.bmp' ;
                     TOOLTIP 'Calendario'+ +SPACE(2)+DTOC(DATE()) ;  
                     ACTION CALENDAR() 
                  
                  BUTTON Button_5U          ;
                     CAPTION 'A&bout'       ;
                     PICTURE 'BMP\Imagen05.bmp' ;
                     TOOLTIP 'Autor Mustafa Lpez';
                     ACTION  ABOUT()       ;                
                     SEPARATOR

                END TOOLBAR

               END WINDOW

*---------------------------------------------   TOOLTIP   ----------------------------------------------------*
       SendMessageString( GetFormToolTipHandle ("Win_1A"), TTM_SETTITLE, TTI_INFO, "Atencin" )  
*---------------------------------------------------------------------------------------------------------------*
        CENTER WINDOW Win_1A
        ACTIVATE WINDOW Win_1A
RETURN NIL

*----------------------------------------*
FUNCTION Eras_Estru()
*----------------------------------------*
IF FILE ("TestEstr.dbf")
    CLOSE DATABASES
    ERASE ("TestEstr.dbf")
    ERASE ("*.dbf")
    ERASE ("*.dbt")
    ERASE ("*.fpt")
ENDIF

*--------------- TOOLTIP ----------------*

#pragma BEGINDUMP

#include <windows.h>
#include "hbapi.h"

HB_FUNC ( SENDMESSAGESTRING )
{
  hb_retnl( (LONG) SendMessage( (HWND) hb_parnl(1), (UINT) hb_parni(2), (WPARAM) hb_parnl(3), (LPARAM) (LPSTR) hb_parc(4) ) );
}

#pragma ENDDUMP

*---------------------------------------*


















































































































































































































