* ------------------ Programa: dBu_ML.PRG ------------------------------*
* ------------------ Autor   : Mustafa Lpez -- ------------------------*
* ------------------ Generado con WinPrg 3.04   02/01/2010 21:42:43 ---*

#include'minigui.ch'

Function VERBASE()

*--------------------------- TOOLTIP ----------------------------*
*--------- Rutina cedida  Por Marcos Antonio Gambeta ------------*
#define WM_USER             0x400
#define TTM_SETTITLE       (WM_USER + 32)
#define TTI_NONE                0
#define TTI_INFO                1
#define TTI_WARNING             2
#define TTI_ERROR               3
*----------------------------------------------------------------*

DEFINE WINDOW Form_1X ;
   AT 0,0 ;
   WIDTH 800 ;
   HEIGHT 600 ;
   TITLE 'Ver Base Datos' ;
   icon "Logo"      ;
   CHILD NOMINIMIZE NOMAXIMIZE                  
   ON KEY ESCAPE ACTION Form_1X.Release

          define frame   frame_05
             row 30
             col 12
             width 768
             height 490
             caption "Ver Base de Datos"
          end frame
                
           @ 51, 275 LABEL title_005  VALUE "Ver Base de Datos" AUTOSIZE ;
                     FONT "Verdana" SIZE 17 BOLD ITALIC ;
                     FONTCOLOR BLACK TRANSPARENT

           @ 48, 274 LABEL title_005x VALUE "Ver Base de Datos" AUTOSIZE ;
                     FONT "Verdana" SIZE 17 BOLD ITALIC ;
                     FONTCOLOR { 151, 223, 255 } TRANSPARENT

                    @ 95,262 LABEL Labelx_1 VALUE 'Indique Nombre para'
                    @ 95,382 LABEL Labelx_2 VALUE 'Fichero, sin extensin'
                    @ 95,505 LABEL Labelx_3 VALUE ' DBF'

*----------------------------------------------------------------------------*
                    @ 143,348 TEXTBOX Texx_00 ;
                    VALUE "" ;
                    BACKCOLOR {183,214,255} ;
                    WIDTH 90 HEIGHT 18 ;
                    TOOLTIP 'Fichero a Visualizar sin extensin'      ;
                    INPUTMASK "!!!!!!!!!"
*----------------------------------------------------------------------------*

                    @ 190,262 LABEL Labelx_1z VALUE 'Indique Fichero Ind'
                    @ 190,368 LABEL Labelx_2z VALUE 'exado ?   Indexado '
                    @ 190,480 LABEL Labelx_3z VALUE 'por -> NTX -  CDX'

                    @ 240,348 CHECKBOX CheckBoxx_1 CAPTION "Fichero Index ?" WIDTH 100 HEIGHT 28 ;
                      TOOLTIP 'Fichero Indexado ?'

                    @ 290,348 CHECKBOX CheckBoxx_2 CAPTION "Index NTX-CDX ?" WIDTH 100 HEIGHT 28 ;
                      TOOLTIP 'Indexado por -> NTX-CDX ?'
                           
                 @ 400,340 BUTTON Busx0          ;    
                       CAPTION 'Ver Estructura'  ;
                       PICTURE 'Bmp\StructurX.Bmp';                  
                       FONT "Arial" SIZE 9 BOLD ITALIC  ;
                       TOOLTIP 'Ver Estructura Fichero';
                       WIDTH 105 HEIGHT 53       ;   
                       ACTION  CrearEstructura()
                        
                 @ 400,200 BUTTON Busx1          ;    
                       CAPTION 'Ver Browse'      ;
                       PICTURE 'Bmp\SearchX.Bmp'  ;                       
                       FONT "Arial" SIZE 9 BOLD ITALIC  ;
                       TOOLTIP 'Ver Fichero DbF' ;
                       WIDTH 105 HEIGHT 53       ;   
                       ACTION VerBrowse()      
                            
                 @ 400,485 BUTTON Busx2          ; 
                       CAPTION 'Salir'           ;
                       PICTURE 'Bmp\Exit.Bmp'    ;   
                       FONT "Arial" SIZE 9 BOLD ITALIC  ;
                       TOOLTIP 'Finalizar'       ;
                       WIDTH 105 HEIGHT 53       ;   
                       ACTION Form_1X.Release       

    END WINDOW

*---------------------------------------------   TOOLTIP   ----------------------------------------------------*
       SendMessageString( GetFormToolTipHandle ("Form_1X"), TTM_SETTITLE, TTI_INFO, "Atencin" )  
*---------------------------------------------------------------------------------------------------------------*
     CENTER WINDOW Form_1X

     ACTIVATE WINDOW Form_1X
RETURN NIL

*-------------------------------------  Procedures Ver Browse  --------------------------------*
Procedure  VerBrowse()
*----------------------------------------------------------------------------------------------*
aNomFich := ALLTRIM(Form_1X.Texx_00.value)

aChecbo  := ( IIF(Form_1X.CheckBoxx_1.Value,"True","False") )
aCIntxcdx:= ( IIF(Form_1X.CheckBoxx_2.Value,"True","False") )

 IF aNomFich < SPACE(1)
        MSGSTOP("Fichero DBF No Existe","Atencin !!!")
        CLOSE DATABASES
        RETURN NIL
 ENDIF

 IF aChecbo = "True"
    If aCIntxcdx = "True"
       SAVE TO MEMDBF ALL LIKE a*
       AUXILIAR()
       RETURN NIL
    ENDIF
 ENDIF

 IF aChecbo = "True"
    If aCIntxcdx = "False"
       SAVE TO MEMDBF ALL LIKE a*
       AUXILIAR()
       RETURN NIL
    ENDIF
 ENDIF
 IF aChecbo = "False"
    If aCIntxcdx = "False" .OR. aCIntxcdx = "True"
       SAVE TO MEMDBF ALL LIKE a*
       SAVE TO MUSTA ALL LIKE aNomFich 
       AUXILIAR()
       RETURN NIL
    ENDIF
 ENDIF

SAVE TO MEMDBF ALL LIKE a*
AUXILIAR()

Return Nil

*----------------------------------------------------------------------------------------------*
*-------------------------------------- Crear Estructura --------------------------------------*
Procedure CrearEstructura()
*----------------------------------------------------------------------------------------------*
 aNomFich := ALLTRIM(Form_1X.Texx_00.value)

 SAVE TO VEREST ALL LIKE aNomFich*

 aNomFich:= "New\"+ALLTRIM(Form_1X.Texx_00.value)

 ficherox := aNomFich +".DBF"

*--------------------------------------*
  IF .NOT. FILE (ficherox)
     MSGSTOP("Fichero No Existe","Atencin !!!")
     CLOSE DATABASES
     RETURN NIL
 ENDIF

 IF FILE ("TestEstr.dbf")
    CLOSE DATABASES
    ERASE ("TestEstr.dbf")
 ENDIF

 SAVE TO MEMEST ALL LIKE aNomFich*

 USE &aNomFich
 __dbCopyXStruct( "TestEstr" )

 CLOSE DATABASES

 baseESTA()

Return Nil


